RpcDeniedReply (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.oncrpc, class: RpcDeniedReply

Package org.apache.hadoop.oncrpc

# Class RpcDeniedReply

java.lang.Object
org.apache.hadoop.oncrpc.RpcMessage
org.apache.hadoop.oncrpc.RpcReply
org.apache.hadoop.oncrpc.RpcDeniedReply

public class RpcDeniedReply extends RpcReply
Represents RPC message MSG_DENIED reply body. See RFC 1831 for details. This response is sent to a request to indicate failure of the request.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `RpcDeniedReply.RejectState`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.oncrpc.RpcReply

  `RpcReply.ReplyState`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.oncrpc.RpcMessage

  `RpcMessage.Type`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.oncrpc.RpcReply

  `replyState, verifier`

  ### Fields inherited from class org.apache.hadoop.oncrpc.RpcMessage

  `messageType, xid`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RpcDeniedReply(int xid, RpcReply.ReplyState replyState, RpcDeniedReply.RejectState rejectState, Verifier verifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RpcDeniedReply.RejectState`
  `getRejectState()`
  `static RpcDeniedReply`
  `read(int xid, RpcReply.ReplyState replyState, XDR xdr)`
  `String`
  `toString()`
  `XDR`
  `write(XDR xdr)`

  ### Methods inherited from class org.apache.hadoop.oncrpc.RpcReply

  `getState, getVerifier, read`

  ### Methods inherited from class org.apache.hadoop.oncrpc.RpcMessage

  `getMessageType, getXid, validateMessageType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RpcDeniedReply

    public RpcDeniedReply(int xid, RpcReply.ReplyState replyState, RpcDeniedReply.RejectState rejectState, Verifier verifier)

- ## Method Details

  - ### read

    public static RpcDeniedReply read(int xid, RpcReply.ReplyState replyState, XDR xdr)

  - ### getRejectState

    public RpcDeniedReply.RejectState getRejectState()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### write

    public XDR write(XDR xdr)
    Specified by:
      `write` in class `RpcMessage`